package com.rxida.xilinedu.sys.service;

import com.rxida.xilinedu.sys.dao.MenuDao;
import com.rxida.xilinedu.sys.entity.Menu;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.UUID;

@Service
@Transactional(readOnly = true)
public class MenuService {
    @Resource
    private MenuDao menuDao;

    public List<Menu> findAllList() {
        return menuDao.findAll();
    }

    public void save(Menu menu) {
        if (menu.getId() != null && !"".equals(menu.getId())) {
            menuDao.insert(menu);
        } else {
            menu.setId(UUID.randomUUID().toString());
            menuDao.update(menu);
        }
    }
}
