package com.rxida.xilinedu.sys.web;

import com.rxida.xilinedu.sys.common.JsonResult;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.authc.*;
import org.apache.shiro.subject.Subject;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
public class LoginController {
    //退出的时候是get请求，主要是用于退出
    @RequestMapping(value = "/login", method = RequestMethod.GET)
    public String login() {
        return "login";
    }

    //post登录
    @RequestMapping(value = "/login", method = RequestMethod.POST)
    public String login(String username, String password) {
        JsonResult result = new JsonResult();
        Map<String, String> resultData = new HashMap<>();
        result.setData(resultData);
        //添加用户认证信息
        Subject subject = SecurityUtils.getSubject();
        UsernamePasswordToken usernamePasswordToken = new UsernamePasswordToken(username, password);
        try {
            subject.login(usernamePasswordToken);
            resultData.put("token", usernamePasswordToken.toString());
            result.setCode(JsonResult.SUCCESS);
        }catch(Exception e) {
            resultData.put("token", usernamePasswordToken.toString());
            result.setCode(JsonResult.ERROE);
            result.setMsg("登录失败");
        }

        /*catch (UnknownAccountException uae) {

        } catch (IncorrectCredentialsException ice) {

        } catch (LockedAccountException lae) {

        } catch (ExcessiveAttemptsException eae) {

        } catch (AuthenticationException ae) {

        }*/

        return "login";
    }

    @RequestMapping(value = "/index")
    public String index() {
        return "index";
    }

    //登出
    @RequestMapping(value = "/logout")
    public String logout() {
        return "logout";
    }

    //错误页面展示
    @RequestMapping(value = "/error", method = RequestMethod.POST)
    public String error() {
        return "error ok!";
    }

}
